Bug 741277 - [ipa webui] IN HBAC & Sudo, when a category is set to 'All', entries in that category are not deleted
Summary: [ipa webui] IN HBAC & Sudo, when a category is set to 'All', entries in that ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 13:29 UTC by Namita Soman
Modified: 2011-12-06 18:32 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:32:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-09-26 13:29:03 UTC
Description of problem:
In HBAC Rules, when a category is set to 'all', the entries in that category are not deleted.
Similar behaviour in Sudo Rules.

In HBAC, behaviour seen:
I have a user added in 'Who' Section. 
Then change radiobutton to 'Anyone'.
When I click on 'Update', the listed users are not deleted. In ipa-server-2.1.1-4.el6.x86_64 - I get the error below, which indicates, I'd have to delete it first before changing the setting
Operations Error - user category cannot be set to 'all' while there are allowed users

In Sudo, behaviour is different:
I have a user added in 'Who' Section. 
Then change radiobutton to 'Anyone'.
When I click on 'Update', the listed users are not deleted. And no error is thrown.


Version-Release number of selected component (if applicable):
2.1.1-4.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add an HBAC Rule
2. Add a user in 'Who' Section. 
3. Then change radiobutton to 'Anyone'.
4. click on 'Update'

5.Repeat same steps as above with Sudo Rules  


Actual results:
For HBAC Rules, error thrown:
Operations Error - user category cannot be set to 'all' while there are allowed users
For Sudo Rules, no error thrown

Expected results:
users in that category should be deleted - for both HBAC and Sudo rules

Additional info:
Discussed this with Endi, and his response:
The UI has a code that removes the users when you set the category to
'all'. Sometime ago there was a regression that caused that code to be
skipped, but it exposed a problem on the server side:
https://fedorahosted.org/freeipa/ticket/1440
Recently the regression has been fixed, so in the UI you should not see
this problem anymore, but it still exists if you use CLI. The UI should
now work like described in #43.

//where #43 is his feedback review to my tests, and it said - 
>> 43. In HBACTests we could verify that when a category is set to 'all'
>> the entries in that category are deleted.

Comment 2 Martin Kosek 2011-09-26 14:16:53 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1873

Comment 6 Namita Soman 2011-10-11 14:18:55 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
When switching category to 'All', existing entries are deleted

Comment 7 Martin Kosek 2011-11-01 08:38:30 UTC
Not present in 6.1.

Comment 8 Martin Kosek 2011-11-01 08:38:30 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 9 errata-xmlrpc 2011-12-06 18:32:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.